#!/usr/bin/env python
# -*- coding: UTF-8 -*-

"""
Здесь находятся функции для различных действий, чтобы их отделить от интерфейса
"""

import shutil

import wx

def saveImage (fname, image, previewFname):
	"""
	Сохранить картинку в файл
	"""
	if fname.lower().endswith (".png"):
		image.SaveFile (fname, wx.BITMAP_TYPE_PNG)
	elif fname.lower().endswith (".jpg") or fname.lower().endswith (".jpeg"):
		image.SaveFile (fname, wx.BITMAP_TYPE_JPEG)
	elif fname.lower().endswith (".bmp"):
		image.SaveFile (fname, wx.BITMAP_TYPE_BMP)
	elif fname.lower().endswith (".tif") or fname.lower().endswith (".tiff"):
		image.SaveFile (fname, wx.BITMAP_TYPE_TIF)
	elif fname.lower().endswith (".gif"):
		shutil.copyfile (previewFname, fname)
